#
# spec file for package enjoympeg (Version 0.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa alsa-devel audiofile esound esound-devel gpp kdelibs-artsd libgpp smpeg smpeg-devel xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs-artsd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow smpeg smpeg-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         enjoympeg
Copyright:    GPL
Group:        X11/Applications/Multimedia
URL:          http://people.freenet.de/for_Ki/
Autoreqprov:  on
Version:      0.4.1
Release:      111
Summary:      simple but fast MPEG-1 video player
Source:       http://people.freenet.de/for_Ki/enjoympeg-%{version}.tar.gz
#Patch:        enjoympeg-%{version}.dif
BuildRoot:	%{_tmppath}/%{name}-build
%define		_prefix /usr/X11R6

%description
Enjoympeg is an MPEG-1 video player based on the source of plaympeg
from the SMPEG library. It has a hideable control bar which allows
you to play/pause, stop, seek and switch to fullscreen mode.

Authors:
--------
    Dieter Mittelmaier <dieter.mittelmaier@freenet.de>

SuSE series: snd

%prep
%setup 
#%patch
#autoconf

%build
export CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer"
%ifarch %{ix86}
export CFLAGS="$CFLAGS -mcpu=pentiumpro"
%endif
export CXXFLAGS=$CFLAGS
./configure --prefix=%{_prefix}
make

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%{_bindir}/enjoympeg
%{_datadir}/enjoympeg

%changelog -n enjoympeg
* Thu Aug 16 2001 - nadvornik@suse.cz
- added smpeg-devel to neededforbuild
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Mon Jul 09 2001 - bk@suse.de
- updated to version 0.4.1(only fixes smpeg version number check)
* Tue Jun 26 2001 - ro@suse.de
- added kdelibs for artsd
* Sun Apr 15 2001 - bk@suse.de
- patch configure.in for smpeg-0.4.3 and run autoconf afterwards
* Tue Apr 10 2001 - bk@suse.de
- update to version 0.4
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <sdl> to <sdl sdl-devel>
* Tue Feb 27 2001 - bk@suse.de
- initial version
